#!/bin/sh

if [ ! -e /tmp/meegoenv-firstrun ]; then
    /usr/bin/gconftool-2 --type=int --set /system/osso/dsm/display/inhibit_blank_mode 3
    /usr/bin/gconftool-2 --type=int --set /system/osso/dsm/display/display_blank_timeout 600000000
    /usr/bin/gconftool-2 --type=int --set /system/osso/dsm/display/display_dim_timeout 600000000
    /usr/bin/gconftool-2 --type=bool --set /system/osso/dsm/display/als_enabled false
    /usr/bin/gconftool-2 --type=bool --set /system/osso/dsm/locks/touchscreen_keypad_autolock_enabled false
else
    case $- in *i*)
        echo "Bypassing gconftool-2 execution, this is not initial run anymore"
    esac
fi

if [ -e /home/user/calibrationfile.txt ]; then
    rm -f /home/user/calibrationfile.txt
fi
